summaryrefslogtreecommitdiffstats
path: root/c/build-tools
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--c/build-tools/Makefile.am5
-rw-r--r--c/build-tools/Makefile.in123
-rw-r--r--c/build-tools/aclocal.m426
-rw-r--r--c/build-tools/configure78
-rw-r--r--c/build-tools/configure.in2
-rw-r--r--c/build-tools/os/Makefile.am1
-rw-r--r--c/build-tools/scripts/Makefile.am2
-rw-r--r--c/build-tools/scripts/Makefile.in29
-rw-r--r--c/build-tools/src/Makefile.am2
-rw-r--r--c/build-tools/src/Makefile.in29
10 files changed, 242 insertions, 55 deletions
diff --git a/c/build-tools/Makefile.am b/c/build-tools/Makefile.am
index 5c1995f612..e9d608c113 100644
--- a/c/build-tools/Makefile.am
+++ b/c/build-tools/Makefile.am
@@ -2,7 +2,10 @@
# $Id$
#
-AUTOMAKE_OPTIONS=foreign
+AUTOMAKE_OPTIONS = foreign
ACLOCAL = @ACLOCAL@ -I $(RTEMS_TOPdir)/aclocal
SUBDIRS = scripts src
+
+include $(top_srcdir)/../../automake/subdirs.am
+include $(top_srcdir)/../../automake/local.am
diff --git a/c/build-tools/Makefile.in b/c/build-tools/Makefile.in
index 4cc7d1fd87..d8325d1fee 100644
--- a/c/build-tools/Makefile.in
+++ b/c/build-tools/Makefile.in
@@ -15,6 +15,25 @@
#
+# $Id$
+
+# Borrowed from automake-1.4, adapted to support RTEMS's
+# "make debug", "make debug_install", "make profile", "make profile_install"
+
+# NOTE: This is a temporary work-around to keep
+# "make debug" and "make debug_install" working.
+# Once automake is fully integrated these make targets
+# and this file will probably be removed
+
+
+# $Id$
+
+# NOTE: This is a temporary work-around to keep
+# "make debug" and "make debug_install" working.
+# Once automake is fully integrated these make targets
+# and this file will probably be removed
+
+
SHELL = @SHELL@
srcdir = @srcdir@
@@ -67,7 +86,6 @@ KSH = @KSH@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
PROJECT_ROOT = @PROJECT_ROOT@
-RTEMS_ROOT = @RTEMS_ROOT@
RTEMS_TOPdir = @RTEMS_TOPdir@
VERSION = @VERSION@
@@ -79,7 +97,8 @@ ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/../../mkinstalldirs
CONFIG_HEADER = ./src/config.h
CONFIG_CLEAN_FILES =
-DIST_COMMON = Makefile.am Makefile.in aclocal.m4 configure configure.in
+DIST_COMMON = Makefile.am Makefile.in aclocal.m4 configure configure.in \
+src/config.h.in src/stamp-h.in
DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
@@ -88,7 +107,7 @@ TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/../../automake/subdirs.am $(top_srcdir)/../../automake/local.am
cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
@@ -103,6 +122,34 @@ config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
cd $(srcdir) && $(AUTOCONF)
+src/config.h: src/stamp-h
+ @if test ! -f $@; then \
+ rm -f src/stamp-h; \
+ $(MAKE) src/stamp-h; \
+ else :; fi
+src/stamp-h: $(srcdir)/src/config.h.in $(top_builddir)/config.status
+ cd $(top_builddir) \
+ && CONFIG_FILES= CONFIG_HEADERS=src/config.h \
+ $(SHELL) ./config.status
+ @echo timestamp > src/stamp-h 2> /dev/null
+$(srcdir)/src/config.h.in: $(srcdir)/src/stamp-h.in
+ @if test ! -f $@; then \
+ rm -f $(srcdir)/src/stamp-h.in; \
+ $(MAKE) $(srcdir)/src/stamp-h.in; \
+ else :; fi
+$(srcdir)/src/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4)
+ cd $(top_srcdir) && $(AUTOHEADER)
+ @echo timestamp > $(srcdir)/src/stamp-h.in 2> /dev/null
+
+mostlyclean-hdr:
+
+clean-hdr:
+
+distclean-hdr:
+ -rm -f src/config.h
+
+maintainer-clean-hdr:
+
# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
@@ -291,32 +338,32 @@ distclean-generic:
-rm -f config.cache config.log stamp-h stamp-h[0-9]*
maintainer-clean-generic:
-mostlyclean-am: mostlyclean-tags mostlyclean-generic
+mostlyclean-am: mostlyclean-hdr mostlyclean-tags mostlyclean-generic
mostlyclean: mostlyclean-recursive
-clean-am: clean-tags clean-generic mostlyclean-am
+clean-am: clean-hdr clean-tags clean-generic mostlyclean-am
clean: clean-recursive
-distclean-am: distclean-tags distclean-generic clean-am
+distclean-am: distclean-hdr distclean-tags distclean-generic clean-am
distclean: distclean-recursive
-rm -f config.status
-maintainer-clean-am: maintainer-clean-tags maintainer-clean-generic \
- distclean-am
+maintainer-clean-am: maintainer-clean-hdr maintainer-clean-tags \
+ maintainer-clean-generic distclean-am
@echo "This command is intended for maintainers to use;"
@echo "it deletes files that may require special tools to rebuild."
maintainer-clean: maintainer-clean-recursive
-rm -f config.status
-.PHONY: install-data-recursive uninstall-data-recursive \
-install-exec-recursive uninstall-exec-recursive installdirs-recursive \
-uninstalldirs-recursive all-recursive check-recursive \
-installcheck-recursive info-recursive dvi-recursive \
-mostlyclean-recursive distclean-recursive clean-recursive \
+.PHONY: mostlyclean-hdr distclean-hdr clean-hdr maintainer-clean-hdr \
+install-data-recursive uninstall-data-recursive install-exec-recursive \
+uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
+all-recursive check-recursive installcheck-recursive info-recursive \
+dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
@@ -326,6 +373,56 @@ installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean
+debug-recursive debug_install-recursive \
+profile-recursive profile_install-recursive:
+ @set fnord $(MAKEFLAGS); amf=$$2; \
+ dot_seen=no; \
+ target=`echo $@ | sed s/-recursive//`; \
+ list='$(SUBDIRS)'; for subdir in $$list; do \
+ echo "Making $$target in $$subdir"; \
+ if test "$$subdir" = "."; then \
+ dot_seen=yes; \
+ local_target="$$target-am"; \
+ else \
+ local_target="$$target"; \
+ fi; \
+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+ || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+ done; \
+ if test "$$dot_seen" = "no"; then \
+ $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+ fi; test -z "$$fail"
+
+debug: debug-recursive
+
+debug_install: debug_install-recursive
+
+profile: profile-recursive
+
+profile_install: profile_install-recursive
+
+.PHONY: \
+debug debug-recursive debug_install \
+profile profile-recursive profile_install
+
+debug-am:
+
+debug: debug-am
+
+debug_install-am:
+
+debug_install: debug_install-am
+
+profile-am:
+
+profile: profile-am
+
+profile_install-am:
+
+profile_install: profile_install-am
+
+.PHONY: debug debug_install profile profile_install
+
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
diff --git a/c/build-tools/aclocal.m4 b/c/build-tools/aclocal.m4
index 8b1d4618fe..40c08bdfa0 100644
--- a/c/build-tools/aclocal.m4
+++ b/c/build-tools/aclocal.m4
@@ -12,6 +12,11 @@ dnl PARTICULAR PURPOSE.
dnl $Id$
+dnl
+dnl RTEMS_TOP($1)
+dnl
+dnl $1 .. relative path from this configure.in to the toplevel configure.in
+dnl
AC_DEFUN(RTEMS_TOP,
[dnl
RTEMS_TOPdir="$1";
@@ -20,8 +25,25 @@ AC_SUBST(RTEMS_TOPdir)
PROJECT_ROOT=`pwd`/$RTEMS_TOPdir;
AC_SUBST(PROJECT_ROOT)
-RTEMS_ROOT='$(top_srcdir)'/$RTEMS_TOPdir;
-AC_SUBST(RTEMS_ROOT)
+dnl Determine RTEMS Version string from the VERSION file
+dnl Hopefully, Joel never changes its format ;-
+AC_MSG_CHECKING([for RTEMS Version])
+if test -r "${srcdir}/${RTEMS_TOPdir}/VERSION"; then
+changequote(,)dnl
+RTEMS_VERSION=`grep Version ${srcdir}/${RTEMS_TOPdir}/VERSION | \
+sed -e 's%RTEMS[ ]*Version[ ]*\(.*\)[ ]*%\1%g'`
+changequote([,])dnl
+else
+AC_MSG_ERROR(Unable to find ${RTEMS_TOPdir}/VERSION)
+fi
+if test -z "$RTEMS_VERSION"; then
+AC_MSG_ERROR(Unable to determine version)
+fi
+AC_MSG_RESULT($RTEMS_VERSION)
+
+dnl FIXME: This once gets activated in future or will be removed
+dnl RTEMS_ROOT='$(top_srcdir)'/$RTEMS_TOPdir;
+dnl AC_SUBST(RTEMS_ROOT)
])dnl
# Do all the work for Automake. This macro actually does too much --
diff --git a/c/build-tools/configure b/c/build-tools/configure
index 4041150120..3a0e38c8e1 100644
--- a/c/build-tools/configure
+++ b/c/build-tools/configure
@@ -546,7 +546,18 @@ RTEMS_TOPdir="../..";
PROJECT_ROOT=`pwd`/$RTEMS_TOPdir;
-RTEMS_ROOT='$(top_srcdir)'/$RTEMS_TOPdir;
+echo $ac_n "checking for RTEMS Version""... $ac_c" 1>&6
+echo "configure:551: checking for RTEMS Version" >&5
+if test -r "${srcdir}/${RTEMS_TOPdir}/VERSION"; then
+RTEMS_VERSION=`grep Version ${srcdir}/${RTEMS_TOPdir}/VERSION | \
+sed -e 's%RTEMS[ ]*Version[ ]*\(.*\)[ ]*%\1%g'`
+else
+{ echo "configure: error: Unable to find ${RTEMS_TOPdir}/VERSION" 1>&2; exit 1; }
+fi
+if test -z "$RTEMS_VERSION"; then
+{ echo "configure: error: Unable to determine version" 1>&2; exit 1; }
+fi
+echo "$ac_t""$RTEMS_VERSION" 1>&6
@@ -557,7 +568,7 @@ else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:561: checking host system type" >&5
+echo "configure:572: checking host system type" >&5
host_alias=$host
case "$host_alias" in
@@ -590,7 +601,7 @@ echo "$ac_t""$host" 1>&6
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:594: checking for a BSD compatible install" >&5
+echo "configure:605: checking for a BSD compatible install" >&5
if test -z "$INSTALL"; then
if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -643,7 +654,7 @@ test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
-echo "configure:647: checking whether build environment is sane" >&5
+echo "configure:658: checking whether build environment is sane" >&5
# Just in case
sleep 1
echo timestamp > conftestfile
@@ -700,7 +711,7 @@ test "$program_suffix" != NONE &&
test "$program_transform_name" = "" && program_transform_name="s,x,x,"
echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:704: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:715: checking whether ${MAKE-make} sets \${MAKE}" >&5
set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -729,7 +740,7 @@ fi
PACKAGE=rtems-build-tools
-VERSION=4.1.0
+VERSION=$RTEMS_VERSION
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
{ echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
@@ -739,7 +750,7 @@ fi
missing_dir=`cd $ac_aux_dir && pwd`
echo $ac_n "checking for working aclocal""... $ac_c" 1>&6
-echo "configure:743: checking for working aclocal" >&5
+echo "configure:754: checking for working aclocal" >&5
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
@@ -752,7 +763,7 @@ else
fi
echo $ac_n "checking for working autoconf""... $ac_c" 1>&6
-echo "configure:756: checking for working autoconf" >&5
+echo "configure:767: checking for working autoconf" >&5
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
@@ -765,7 +776,7 @@ else
fi
echo $ac_n "checking for working automake""... $ac_c" 1>&6
-echo "configure:769: checking for working automake" >&5
+echo "configure:780: checking for working automake" >&5
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
@@ -778,7 +789,7 @@ else
fi
echo $ac_n "checking for working autoheader""... $ac_c" 1>&6
-echo "configure:782: checking for working autoheader" >&5
+echo "configure:793: checking for working autoheader" >&5
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
@@ -791,7 +802,7 @@ else
fi
echo $ac_n "checking for working makeinfo""... $ac_c" 1>&6
-echo "configure:795: checking for working makeinfo" >&5
+echo "configure:806: checking for working makeinfo" >&5
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
@@ -805,12 +816,12 @@ fi
echo $ac_n "checking for Cygwin environment""... $ac_c" 1>&6
-echo "configure:809: checking for Cygwin environment" >&5
+echo "configure:820: checking for Cygwin environment" >&5
if eval "test \"`echo '$''{'ac_cv_cygwin'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 814 "configure"
+#line 825 "configure"
#include "confdefs.h"
int main() {
@@ -821,7 +832,7 @@ int main() {
return __CYGWIN__;
; return 0; }
EOF
-if { (eval echo configure:825: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:836: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_cygwin=yes
else
@@ -838,19 +849,19 @@ echo "$ac_t""$ac_cv_cygwin" 1>&6
CYGWIN=
test "$ac_cv_cygwin" = yes && CYGWIN=yes
echo $ac_n "checking for mingw32 environment""... $ac_c" 1>&6
-echo "configure:842: checking for mingw32 environment" >&5
+echo "configure:853: checking for mingw32 environment" >&5
if eval "test \"`echo '$''{'ac_cv_mingw32'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 847 "configure"
+#line 858 "configure"
#include "confdefs.h"
int main() {
return __MINGW32__;
; return 0; }
EOF
-if { (eval echo configure:854: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:865: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_mingw32=yes
else
@@ -869,7 +880,7 @@ test "$ac_cv_mingw32" = yes && MINGW32=yes
echo $ac_n "checking for executable suffix""... $ac_c" 1>&6
-echo "configure:873: checking for executable suffix" >&5
+echo "configure:884: checking for executable suffix" >&5
if eval "test \"`echo '$''{'ac_cv_exeext'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -879,7 +890,7 @@ else
rm -f conftest*
echo 'int main () { return 0; }' > conftest.$ac_ext
ac_cv_exeext=
- if { (eval echo configure:883: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
+ if { (eval echo configure:894: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
for file in conftest.*; do
case $file in
*.c | *.o | *.obj) ;;
@@ -903,7 +914,7 @@ ac_exeext=$EXEEXT
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:907: checking for $ac_word" >&5
+echo "configure:918: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -933,7 +944,7 @@ if test -z "$CC"; then
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:937: checking for $ac_word" >&5
+echo "configure:948: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -984,7 +995,7 @@ fi
# Extract the first word of "cl", so it can be a program name with args.
set dummy cl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:988: checking for $ac_word" >&5
+echo "configure:999: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1016,7 +1027,7 @@ fi
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1020: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:1031: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -1027,12 +1038,12 @@ cross_compiling=$ac_cv_prog_cc_cross
cat > conftest.$ac_ext << EOF
-#line 1031 "configure"
+#line 1042 "configure"
#include "confdefs.h"
main(){return(0);}
EOF
-if { (eval echo configure:1036: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1047: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
ac_cv_prog_cc_works=yes
# If we can't run a trivial program, we are probably using a cross compiler.
if (./conftest; exit) 2>/dev/null; then
@@ -1058,12 +1069,12 @@ if test $ac_cv_prog_cc_works = no; then
{ echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:1062: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:1073: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
cross_compiling=$ac_cv_prog_cc_cross
echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:1067: checking whether we are using GNU C" >&5
+echo "configure:1078: checking whether we are using GNU C" >&5
if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1072,7 +1083,7 @@ else
yes;
#endif
EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1076: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1087: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
ac_cv_prog_gcc=yes
else
ac_cv_prog_gcc=no
@@ -1091,7 +1102,7 @@ ac_test_CFLAGS="${CFLAGS+set}"
ac_save_CFLAGS="$CFLAGS"
CFLAGS=
echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:1095: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:1106: checking whether ${CC-cc} accepts -g" >&5
if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1125,12 +1136,12 @@ fi
for ac_func in strerror
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:1129: checking for $ac_func" >&5
+echo "configure:1140: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1134 "configure"
+#line 1145 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
@@ -1153,7 +1164,7 @@ $ac_func();
; return 0; }
EOF
-if { (eval echo configure:1157: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1168: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
@@ -1184,7 +1195,7 @@ do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1188: checking for $ac_word" >&5
+echo "configure:1199: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_KSH'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1372,7 +1383,6 @@ s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
s%@RTEMS_TOPdir@%$RTEMS_TOPdir%g
s%@PROJECT_ROOT@%$PROJECT_ROOT%g
-s%@RTEMS_ROOT@%$RTEMS_ROOT%g
s%@host@%$host%g
s%@host_alias@%$host_alias%g
s%@host_cpu@%$host_cpu%g
diff --git a/c/build-tools/configure.in b/c/build-tools/configure.in
index ab9a1a1297..c25493c57d 100644
--- a/c/build-tools/configure.in
+++ b/c/build-tools/configure.in
@@ -9,7 +9,7 @@ RTEMS_TOP(../..)
AC_CANONICAL_HOST
-AM_INIT_AUTOMAKE(rtems-build-tools,4.1.0,no)
+AM_INIT_AUTOMAKE(rtems-build-tools,$RTEMS_VERSION,no)
AC_EXEEXT
AC_PROG_CC
diff --git a/c/build-tools/os/Makefile.am b/c/build-tools/os/Makefile.am
index 0d1c23d7e3..f776e3293d 100644
--- a/c/build-tools/os/Makefile.am
+++ b/c/build-tools/os/Makefile.am
@@ -6,3 +6,4 @@ AUTOMAKE_OPTIONS = foreign
# FIXME: Is this subdirectory still in use ?
## SUBDIRS = msdos
+include $(top_srcdir)/../../automake/local.am
diff --git a/c/build-tools/scripts/Makefile.am b/c/build-tools/scripts/Makefile.am
index d465761702..dd931ca957 100644
--- a/c/build-tools/scripts/Makefile.am
+++ b/c/build-tools/scripts/Makefile.am
@@ -21,3 +21,5 @@ install-exec-local: $(bin_SCRIPTS)
$(PROJECT_ROOT)/${RTEMS_BSP}/build-tools
preinstall: install-exec-local
+
+include $(top_srcdir)/../../automake/local.am
diff --git a/c/build-tools/scripts/Makefile.in b/c/build-tools/scripts/Makefile.in
index 76c8f6b9a8..0567ec32a1 100644
--- a/c/build-tools/scripts/Makefile.in
+++ b/c/build-tools/scripts/Makefile.in
@@ -15,6 +15,14 @@
#
+# $Id$
+
+# NOTE: This is a temporary work-around to keep
+# "make debug" and "make debug_install" working.
+# Once automake is fully integrated these make targets
+# and this file will probably be removed
+
+
SHELL = @SHELL@
srcdir = @srcdir@
@@ -69,7 +77,6 @@ KSH = @KSH@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
PROJECT_ROOT = @PROJECT_ROOT@
-RTEMS_ROOT = @RTEMS_ROOT@
RTEMS_TOPdir = @RTEMS_TOPdir@
VERSION = @VERSION@
@@ -95,7 +102,7 @@ TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/../../automake/local.am
cd $(top_srcdir) && $(AUTOMAKE) --foreign scripts/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
@@ -226,6 +233,24 @@ install-exec-local: $(bin_SCRIPTS)
preinstall: install-exec-local
+debug-am:
+
+debug: debug-am
+
+debug_install-am:
+
+debug_install: debug_install-am
+
+profile-am:
+
+profile: profile-am
+
+profile_install-am:
+
+profile_install: profile_install-am
+
+.PHONY: debug debug_install profile profile_install
+
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
diff --git a/c/build-tools/src/Makefile.am b/c/build-tools/src/Makefile.am
index 2a00eb73b5..dcb7062295 100644
--- a/c/build-tools/src/Makefile.am
+++ b/c/build-tools/src/Makefile.am
@@ -20,3 +20,5 @@ install-exec-local: $(bin_PROGRAMS)
$(PROJECT_ROOT)/${RTEMS_BSP}/build-tools
preinstall: install-exec-local
+
+include $(top_srcdir)/../../automake/local.am
diff --git a/c/build-tools/src/Makefile.in b/c/build-tools/src/Makefile.in
index 24f71df961..a63d34c8ba 100644
--- a/c/build-tools/src/Makefile.in
+++ b/c/build-tools/src/Makefile.in
@@ -15,6 +15,14 @@
#
+# $Id$
+
+# NOTE: This is a temporary work-around to keep
+# "make debug" and "make debug_install" working.
+# Once automake is fully integrated these make targets
+# and this file will probably be removed
+
+
SHELL = @SHELL@
srcdir = @srcdir@
@@ -69,7 +77,6 @@ KSH = @KSH@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
PROJECT_ROOT = @PROJECT_ROOT@
-RTEMS_ROOT = @RTEMS_ROOT@
RTEMS_TOPdir = @RTEMS_TOPdir@
VERSION = @VERSION@
@@ -128,7 +135,7 @@ OBJECTS = $(cklength_OBJECTS) $(eolstrip_OBJECTS) $(packhex_OBJECTS) $(unhex_OBJ
all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/../../automake/local.am
cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
@@ -392,6 +399,24 @@ install-exec-local: $(bin_PROGRAMS)
preinstall: install-exec-local
+debug-am:
+
+debug: debug-am
+
+debug_install-am:
+
+debug_install: debug_install-am
+
+profile-am:
+
+profile: profile-am
+
+profile_install-am:
+
+profile_install: profile_install-am
+
+.PHONY: debug debug_install profile profile_install
+
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: